ECHO OFF
cls
echo.
echo This executable will create individual .cfg files for your games.
echo (for the WiiFlow plugin)
echo.
echo It should be copied in './hatari', the default directory containing 'fd'
echo (the floppy disk games).
echo.
pause

cls
IF NOT EXIST .\cfg\ goto Makedir

:MAINMENU
ECHO OFF
cls
IF NOT EXIST .\fd\ goto NOFD
echo.
echo Where are the games installed? ('fd' directory) 
echo.
ECHO 1 - GAMES ON SD
ECHO 2 - GAMES ON USB
ECHO q - QUIT
echo.
set /p choix=
if %choix%==1  goto GAMESD
if %choix%==2  goto GAMEUSB
if %choix%==q  goto Quit

:Errormainmenu
echo Wrong value!
echo Try again...
pause
goto MAINMENU

:GAMESD
set GAMEPATH=sd
goto TOS

:GAMEUSB
set GAMEPATH=usb
goto TOS

:TOS
echo.
echo Where is the TOS image? (/apps/hatari/tos.img by default)
echo.
ECHO 1 - TOS FILE ON SD
ECHO 2 - TOS FILE ON USB
ECHO q - QUIT
echo.
set /p choix=
if %choix%==1  goto TOSSD
if %choix%==2  goto TOSUSB
if %choix%==q  goto QUIT

:ErrorTOS
echo Wrong value!
echo Try again...
pause
goto TOS

:TOSSD
set TOSPATH=sd
goto CREATECFG

:TOSUSB
set TOSPATH=usb
goto CREATECFG

:Makedir
echo "Creating cfg folder..." 
mkdir cfg
goto MAINMENU

:CREATECFG
echo.
echo Creating .cfg files ...
.\find fd -type f | sed "s,fd\\,,g" | sed "s,\\,\/,g"  > tempz

for /f "tokens=*" %%a in (tempz) do (
.\sed -e "s;szDiskAFileName =.*;szDiskAFileName = %GAMEPATH%:/hatari/fd/%%a;" ^
-e "s;szDiskAZipPath =.*;szDiskAZipPath =;" ^
-e "s;szDiskImageDirectory =.*;szDiskImageDirectory = %GAMEPATH%:/hatari/fd/;" ^
-e "s;szTosImageFileName =.*;szTosImageFileName = %TOSPATH%:/apps/hatari/tos.img;" ^
-e "s;szHardDiskDirectory =.*;szHardDiskDirectory = %GAMEPATH%:/hatari/hd/;" hatari.cfg > ".\cfg\%%~na.cfg"
)
goto Quit

:NOFD
echo.
echo Can't find 'fd' directory!
echo.
echo copy the executable in your hatari folder (the one with games, saves, etc.).
echo.
goto QUIT

:QUIT
echo END
del tempz >nul 2>&1
pause
